﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Globalization;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Telerik.XamarinForms.Common;
using Telerik.XamarinForms.ImageEditor;
using Telerik.XamarinForms.Input;
using Xamarin.Forms;
using Xamarin.Forms.Xaml;

namespace TestLV
{
    [XamlCompilation(XamlCompilationOptions.Compile)]
    public partial class Page3 : ContentPage
    {
        public Page3()
        {
            InitializeComponent();
            this.BindingContext = new ViewModel();
        }
    }
    public class Country
    {
        public string CountryName { get; set; }
        public string Icon { get; set; }
        public ObservableCollection<City> Cities { get; set; }
    }
    public class City
    {
        public string Name { get; set; }
    }

    public class ViewModel
    {
        public ObservableCollection<Country> Source { get; set; }

        public ViewModel()
        {
            this.Source = new ObservableCollection<Country>();
            this.Source.Add(new Country()
            {
                CountryName = "Italy",
                Icon = "TreeView_Flag_Italy.png",
                Cities = new ObservableCollection<City>()
            {
                new City() { Name = "Rome"},
                new City() { Name = "Milano"}
            }
            });
            this.Source.Add(new Country()
            {
                CountryName = "Germany",
                Icon = "TreeView_Flag_Germany.png",
                Cities = new ObservableCollection<City>()
            {
                new City() { Name = "Berlin"},
                new City() { Name = "Frankfurt"}
            }
            });
            this.Source.Add(new Country()
            {
                CountryName = "India",
                Icon = "TreeView_Flag_India.png",
                Cities = new ObservableCollection<City>()
            {
                new City() { Name = "Mumbai"}
            }
            });
            this.Source.Add(new Country()
            {
                CountryName = "Argentina",
                Icon = "TreeView_Flag_Argentina.png",
                Cities = new ObservableCollection<City>()
            {
                new City() { Name = "Buenos Aires"}
            }
            });
            this.Source.Add(new Country()
            {
                CountryName = "USA",
                Icon = "TreeView_Flag_USA.png",
                Cities = new ObservableCollection<City>()
            {
                new City() { Name = "Miami"},
                new City() { Name = "New York"},
                new City() { Name = "Los Angeles"}
            }
            });
        }
    }
}